 
   %% tato cast kodu muze byt jen nakopirovana do challenge.m:
   % Provadi normalizaci a naslednou klasifikaci vektoru priznaku
   % Je nutne opravit adresu k souboru:
   
   load('D:\Marina\EKG\CINC_ECGclass\CINC-Challenge\Progs_ECGclass\FIGoutVal300\ToSend\SVMlinear_FS01_StandResubst.mat') % SV, mitr, matr
   % SV - linear SVM trained on selected features
   % mitr, matr - minimal and maximal value of features from
   % training set, which will be used for normalization of test data 
   
   % For standardized features:
   inputStand=(inputNonStand-mitr)./(matr-mitr);
   % inputNonStand - feature vector [1x25] calculated from one test signal
         
   Class = predict(SV,inputStand);

%    TargetV=[0 1 2 3]; % target vector used during training: 0 - normal; 1 - AF; 2 - other; 3 - noise
                 
    switch Class
        case 0
            classifyResult = 'N';
        case 1
            classifyResult = 'A';
        case 2
            classifyResult = 'O';
        case 3
            classifyResult = '~';
    end
    
    
       
     