 function [ QRS_cluster ] = ECG_segment( Sig, Ref_pos, Group_ind, Win )
%Segmentace QRS komplex podle detekovanch pozic QRS v rozsahu ref.  okno.     
    Group_ind = Group_ind(:);
    okno = ( Win*Sig.fs )/1000;
    okno = ceil( okno );
    count = length( Ref_pos );
    
    QRS_cluster = {};
    Counter = ones( 1, max( Group_ind));
  
    for i = 1:count
        Range = Ref_pos(i) - okno : Ref_pos(i) + okno;
        Range( Range < 1 ) = [];
        Range( Range > Sig.length ) = [];
        QRS_cluster{ Group_ind(i), 1 }( Range - Ref_pos(i) + okno + 1, Counter( Group_ind(i))) = Sig.data( Range );
        Counter( Group_ind(i) ) = Counter( Group_ind(i) ) + 1;
    end

 end
