function [ SNRf ] = SNRfInterp( SNRf )

    global Sig
    
    Aux.SNRf.Len = length( SNRf );

    % interpolation
    Aux.SNRf.xAx = 1:Aux.SNRf.Len;
    Aux.SNRf.xAx = ( Aux.SNRf.xAx./Aux.SNRf.Len ).*Sig.length;
    Aux.SNRf.xAx = [1 ceil( Aux.SNRf.xAx )];

    SNRf = [SNRf(1) SNRf];

    Aux.SNRf.xxAx = 1:Sig.length;
    SNRf = interp1( Aux.SNRf.xAx, SNRf, Aux.SNRf.xxAx);
    
    %SNRf trim and norm
    Thresh = 25;
    SNRf( SNRf > Thresh ) = Thresh;
    SNRf( SNRf < 0 ) = 0;
    SNRf = SNRf./Thresh;
    
end
