function  [ DataFilt, MovMedianSigFilt ] = PyramidMedianFilt( DataFilt )
    
    DataFilt = DataFilt(:);
    DataFilt = DataFilt - median( DataFilt );
    DataFilt = DataFilt';
    DataLength = length( DataFilt );
    
    MovMedianSigFilt = zeros( 5, DataLength );
    
    movm_win = [ 1000, 750, 500, 250 ]; %Okno median filtru
    sgol_win = [ 125, 125, 75, 75 ]; %Okno polynom filtru
    sgol_ord = 2; %d polynom filtru
    
    for b = 1:length(movm_win)
        MovMedianSig = movmedian( DataFilt , movm_win( b ));
        MovMedianSigFilt( b, : ) = sgolayfilt( MovMedianSig, sgol_ord, sgol_win( b ));
        DataFilt = DataFilt - MovMedianSigFilt( b, : );
    end
    
    % Nejni stupe pouze pro charakterizaci signlu, nikoliv odstrann
    % driftu
    MovMedianSig = movmedian( DataFilt , 125);
    MovMedianSigFilt( 5, : ) = sgolayfilt( MovMedianSig, sgol_ord, 37 );
    
    MovMedianSig = movmedian( DataFilt - MovMedianSigFilt( 5, : ) , 65);
    MovMedianSigFilt( 6, : ) = sgolayfilt( MovMedianSig, sgol_ord, 29 );
    

%     close all
%     figure;
%     subplot(2,1,1)
%     hold on
%     plot( Sig.data )
%     plot( DataFilt )
%     
%     subplot(2,1,2)
%     plot(M_filt')
%     

%     plot(M)
%     plot(M_filt)