function param = paramPQGroup( parametr, ecgOrig )

global Sig
% close all; clear; clc;
% x = sin(1:1000); Sig.fs = 300; do = 100; parametr = 2;
do = 180;
switch parametr
    case {1,2}
        int = 0.2; M = 50;
        od = do - int*Sig.fs;
        y = ecgOrig(od:do);
        X = abs(fft(y,100));
        if parametr == 1            % Plocha pod kivkou (200ms) 1:20
            param = sum(X(1:20));
        elseif parametr == 2        % Plocha pod kivkou (200ms) 20:M
            param = sum(X(20:M));   
        end
    case {3,4}
        int = 0.58; M = 50;
        od = do - int*Sig.fs;
        y = ecgOrig(od:do);
        X = abs(fft(y,100));
        if parametr == 3            % Plocha pod kivkou (600ms) 1:M
            param = sum(X(1:M));
        elseif parametr == 4        % Plocha pod kivkou (600ms) 5:10
            param = sum(X(5:10));   
        end     
    case {5,6}
        int = 0.4; M = 50;
        od = do - int*Sig.fs;
        y = ecgOrig(od:do);
        X = abs(fft(y,100));
        od = od + round(0.4*Sig.fs);
        y = ecgOrig(od:do);
        Y = abs(fft(y,100));
        if parametr == 5            % Podl ploch pod kivkou (400ms/200ms) 1:M
            param = sum(X(1:M))/sum(Y(1:M));
        elseif parametr == 6        % Podl ploch pod kivkou (400ms/200ms) 5:10
            param = sum(X(5:10))/sum(Y(5:10));   
        end     
    case {7,8,9}
        if parametr == 7            % std v useku ped QRS (100 ms)
            od = do - round(0.1*Sig.fs);
        elseif parametr == 8        % std v useku ped QRS (300 ms)
            od = do - round(0.3*Sig.fs);
        elseif parametr == 9        % std v useku ped QRS (400 ms)
            od = do - round(0.4*Sig.fs);
        end
        param = std(ecgOrig(od:do));
    case {10,11}
        if parametr == 10            % std v useku ped QRS (200 - 400ms)
           	od = do - round(0.2*Sig.fs);
            od = od - round(0.2*Sig.fs); do = do - round(0.2*Sig.fs);
        elseif parametr == 11        % std v useku ped QRS (300 - 500ms)!!!!!!!!!!!!0.2 0.3
           	od = do - round(0.5*Sig.fs);
            do = do - round(0.25*Sig.fs);
        end
        param = std(ecgOrig(od:do));
    case {12,13}
        if parametr == 12            % Strmost signlu v useku ped QRS (200ms)
           	od = do - round(0.2*Sig.fs);
        elseif parametr == 13        % Strmost signlu v useku ped QRS (400ms)
           	od = do - round(0.4*Sig.fs);
        end
        param = sum(abs(diff(ecgOrig(od:do))));
    case {14,15}
        if parametr == 14            % Strmost signlu v useku ped QRS (200ms)
           	od = do - round(0.2*Sig.fs);
        elseif parametr == 15        % Strmost signlu v useku ped QRS (400ms)
           	od = do - round(0.4*Sig.fs);
        end
        param = moment(ecgOrig(od:do),5);
        param = log( abs( param ) + 1 );
end
	
end
