function y = FeatureNormalize( x, xMed, xThreshLow, xThreshHigh, LogTrans )

    y = x - xMed;
    
    y( y <= xThreshLow ) =  xThreshLow;
    y( y >= xThreshHigh ) =  xThreshHigh;   
    y = ( y - xThreshLow )/( xThreshHigh - xThreshLow );
   
    if LogTrans == true
        y = y + 1;
        y = log( y );
        y = y./max( y );
    end
    
end