function [ SVD_Var, QRS_Var ] = SVD_Residual_class( Group )
     
    if isempty( Group.Data_cluster ) == true
        SVD_Var = 1;
        return
    end
    
    Pocet_QRS = size( Group.QRS_optim, 1 );
    SVD_Var = ones( Group.count, 1 );
    QRS_Var = ones( Pocet_QRS, 1 );
    
    for i = 1:Group.count
        Pocet_QRS_G = size( Group.Data_cluster{ i }, 2 );
        if Pocet_QRS_G < 2
            continue
        else
            [~, S, ~] = svd( Group.Data_cluster{ i }' );
            S = transpose( diag( S ) );
            S = S.^2; S = S./sum(S);
            S = sum(S(2:end))/S(1);
            SVD_Var( i, 1 ) = S; %SVD residual ratio
            QRS_Var( Group.group_index == i, 1 ) = S;
        end
    end
    
%     SVD_class = sum((SS( 2, i )./Pocet_QRS).*SS( 1, i ));
    
end
