function [indIzoelVSignale2]=detekceIzoelLinie(signal,levyKraj,fvz,vykresleni)% skript slouzi k: detekce izoelektrickeho levelu z physionetu
% Vstupy:
% - signal - sloupcovy vektor vzork
% - levyKraj - indexy vzorku levych kraju QRS (slopcovy vektor)
% - fvz - vzorkovaci frekvence
% - vykresleni - jestli se to ma vykreslit
% Vystup:
% - indIzoelVSignale2 - indexy ve kterych se nachazi bod, ktery povazuju, ze se nachazi na nulove izolinii

% Tyto radky zde byly pred prevedenim skriptu na funkci:
% fvz=360; plati jen pro MIT-BIH, ne pro celej physionet
% for i=[100:105]
% % for i=[106:109,111:119,121:124,200:203,205,207:210,212:215,217,219:223,228,230:234]
% jmenoSignalu=['mitdb/' num2str(i)];
% % [ann,~,levyKraj,~,tm,signal]=detekceQRSSouborMat('',jmenoSignalu,360,0,1,'');
% [ann,~,~,~,~,~]=detekceQRSSouborMat('',jmenoSignalu,360,0,1,'');
% save([jmenoSignalu([1:5,7:length(jmenoSignalu)]) 'annZDetekceQRSSouborMat'],'ann')
% end
analyzovanySignal=signal;

%% 1. zpusob - plochost zjistuji vypoctem uhl prislusejicim kazdemu vzroku signalu spocitaneho diferenci originalniho signalu
% diference=diff(analyzovanySignal);
% indIzoelVSignale=[];
% for i=1:length(levyKraj)
%     uhly=[];
%     sumyUseku20ms=[];
%     for j=1:round(fvz*0.08)%0.08*fvz je 80 ms - pro vsechny vzorky 80 ms pred levym krajem spocitam uhel
%         %vypocet vsech uhlu - pro vsechny vzorky - 0.06 je 60 ms - takto muzu posouvat jeden bod abych pokryl 80 ms 20ti milisekundovym usekem
%         uhly=[uhly,(atand(diference(levyKraj(i)-j)/1))]; %inverzni tangens s argumentem ve stupnich diference(j)/1 je podstate protilehla/prilehla
%     end
%     for j=1:(round(fvz*0.06))%pozn.:(length(uhly)-round(fvz*0.02))=round(fvz*0.06); 
%         sumyUseku20ms=[sumyUseku20ms sum(abs(uhly(j:j+round(fvz*0.02))))]; %delam sumu kazdych 20 ms, hledam nejplossi (nejmensi uhly v diferenci)
%     end
%     %najdu tech 20 ms ktery maji nejmensi uhly a nasledne vyberu ten vzorek, ktery bude mit medianovou hodnotu
%     [~,indMin]=min(sumyUseku20ms);
%     [indMedian]=find(analyzovanySignal((levyKraj(i)-round(fvz*0.08)+indMin):(levyKraj(i)-round(fvz*0.08)+indMin+round(fvz*0.02)))==median(analyzovanySignal((levyKraj(i)-round(fvz*0.08)+indMin):(levyKraj(i)-round(fvz*0.08)+indMin+round(fvz*0.02)))));
%     if isempty(indMedian)%if median prazdny (pokud median je uprostred mezi 2 cislama z puvodniho vektoru) - odecist median od vsech a pak najit nejmensi cislo (v absolutni hodnote) - to bude muj median
%         rozdilVzorkuAMedianu=abs(analyzovanySignal((levyKraj(i)-round(fvz*0.08)+indMin):(levyKraj(i)-round(fvz*0.08)+indMin+round(fvz*0.02)))-median(analyzovanySignal((levyKraj(i)-round(fvz*0.08)+indMin):(levyKraj(i)-round(fvz*0.08)+indMin+round(fvz*0.02)))));
%         pom=min(rozdilVzorkuAMedianu);
%         pom2=find(rozdilVzorkuAMedianu==pom);
%         indMedian=pom2(round(length(pom2)/2));
%     end
%     indIzoelVSignale=[indIzoelVSignale,levyKraj(i)-round(fvz*0.08)+indMin+indMedian(round(length(indMedian)/2))];%slozity indexovani promenne indMedian je dano tim, ze v pripade vice stejnych hodnot odpovidajicich medianu to vyhodi vice indexu, ja vybitam ten prostredni
% end
% figure
% plot(analyzovanySignal)
% hold on
% stem(indIzoelVSignale,ones(1,length(indIzoelVSignale)))
% hold off

%% 2. zpusob - ten prvni byl pres uhly, ted bud plochost delat v orig. oblasti pomoci smerodatne odchylky
%%pomoci smerodatne odchylky v tech 20ti milisekundach
indIzoelVSignale2=[];
for i=1:length(levyKraj)
    smerOdchylka=[];
    for j=1:round(fvz*0.06)%0.08*fvz je 80 ms - pro vsechny vzorky 80 ms pred levym krajem spocitam uhel
        %vypocet vsech uhlu - pro vsechny vzorky - 0.06 je 60 ms - takto muzu posouvat jeden bod abych pokryl 80 ms 20ti milisekundovym usekem
        smerOdchylka=[smerOdchylka,std(analyzovanySignal((levyKraj(i)-round(fvz*0.08)+j):(levyKraj(i)-round(fvz*0.08)+j+round(fvz*0.02))))]; %inverzni tangens s argumentem ve stupnich diference(j)/1 je podstate protilehla/prilehla
    end
    [~,indMin]=min(smerOdchylka);
    [indMedian]=find(analyzovanySignal((levyKraj(i)-round(fvz*0.08)+indMin):(levyKraj(i)-round(fvz*0.08)+indMin+round(fvz*0.02)))==median(analyzovanySignal((levyKraj(i)-round(fvz*0.08)+indMin):(levyKraj(i)-round(fvz*0.08)+indMin+round(fvz*0.02)))));
    if isempty(indMedian)%if median prazdny (pokud median je uprostred mezi 2 cislama z puvodniho vektoru) - odecist median od vsech a pak najit nejmensi cislo (v absolutni hodnote) - to bude muj median
        rozdilVzorkuAMedianu=abs(analyzovanySignal((levyKraj(i)-round(fvz*0.08)+indMin):(levyKraj(i)-round(fvz*0.08)+indMin+round(fvz*0.02)))-median(analyzovanySignal((levyKraj(i)-round(fvz*0.08)+indMin):(levyKraj(i)-round(fvz*0.08)+indMin+round(fvz*0.02)))));
        pom=min(rozdilVzorkuAMedianu);
        pom2=find(rozdilVzorkuAMedianu==pom);
        indMedian=pom2(round(length(pom2)/2));
    end
    indIzoelVSignale2=[indIzoelVSignale2,levyKraj(i)-round(fvz*0.08)+indMin+indMedian(round(length(indMedian)/2))];%slozity indexovani promenne indMedian je dano tim, ze v pripade vice stejnych hodnot odpovidajicich medianu to vyhodi vice indexu, ja vybitam ten prostredni
end
indIzoelVSignale2=sort(indIzoelVSignale2); %kdyby se nahodou jedna leva pozice objevila prechozi levou (2 vlny R hned po sobe a tedy se polohy izolinie pred QRS muzou predskocit (to by se ale nemelo stat - max by meli zustat ve stejnem bode))
if ~isempty(find(diff((indIzoelVSignale2))==0)) %maze polohu izoelektricke linie, kdyz jsou 2 polohy detekovany ve stejnem bode
    indIzoelVSignale2(find(diff((indIzoelVSignale2))==0))=[];
end
if vykresleni==1
figure
plot(analyzovanySignal)
hold on
stem(indIzoelVSignale2,ones(1,length(indIzoelVSignale2)),'r')
stem(levyKraj,ones(1,length(levyKraj)),'b')
hold off
end
end